Google Chrome Blink 内存越界访问漏洞

来源: 投稿
2024-02-22 10:15:00

漏洞描述

Google Chrome 是谷歌公司开发的一款Web浏览器,其中使用的Blink作为其渲染引擎。

在受影响的版本中,Blink引擎的Web Neural Network API(WebNN)在使用XNNPACK(一种针对浮点和量化神经网络推理的库)时存在内存越界读取漏洞。漏洞源于在处理输入数据时,XNNPACK可能会读取超出数组界限的XNN_EXTRA_BYTES数量的字节。如果调用者未能在传递给XNNPACK的张量数据后面分配足够的额外字节,则会触发内存越界访问,导致信息泄露、程序崩溃等。

漏洞名称 Google Chrome Blink 内存越界访问漏洞
漏洞类型 越界读取
发现时间 2024-02-21
漏洞影响广度 广
MPS编号 MPS-e80z-3t4y
CVE编号 CVE-2024-1669
CNVD编号 -

影响范围

chrome@(-∞, 123.0.6263.0)

chromium@(-∞, 123.0.6263.0)

修复方案

将 chrome 升级至 123.0.6263.0 及以上版本

将组件 chromium 升级至 123.0.6263.0 及以上版本

参考链接

https://www.oscs1024.com/hd/MPS-e80z-3t4y

https://nvd.nist.gov/vuln/detail/CVE-2024-1669

https://github.com/chromium/chromium/commit/c7ef273ccdb8faa2f886ea6616301eebd56fd2b3

https://issues.chromium.org/issues/41495060

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
1 收藏
分享
返回顶部
顶部